## cftime 1.6.2

=== requirements.txt ===
numpy>1.13.3

## cftime 1.0.0~b1

=== debian/changelog ===
cftime (1.0.0~b1-1) unstable; urgency=medium

  * Initial release (Closes: #897400).
    Python 2 version required for python-netcdf4.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 May 2018 13:37:47 +0200

=== debian/control ===
Source: cftime
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python-numpy,
               python-pytest,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python3-pytest,
               cython,
               cython3,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
Homepage: http://unidata.github.io/cftime/
X-Python-Version: >= 2.7

Package: python-cftime
Architecture: any
Section: python
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Time-handling functionality from netcdf4-python (Python 2)
 Python library for decoding time units and variable values in a netCDF file
 conforming to the Climate and Forecasting (CF) netCDF conventions.
 .
 This package contains the cftime module for Python 2.

Package: python3-cftime
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Time-handling functionality from netcdf4-python (Python 3)
 Python library for decoding time units and variable values in a netCDF file
 conforming to the Climate and Forecasting (CF) netCDF conventions.
 .
 This package contains the cftime module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=cftime
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --parallel

override_dh_python2:
	dh_python2 -ppython-cftime
	dh_numpy -ppython-cftime

override_dh_python3:
	dh_python3 -ppython3-cftime
	dh_numpy3 -ppython3-cftime

## cftime 1.0.0

=== debian/changelog ===
cftime (1.0.0-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:39:44 +0000

cftime (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop ancient X-Python-version field.
  * Strip trailing whitespace from control & rules.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 May 2018 07:06:15 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/
-X-Python-Version: >= 2.7
 
 Package: python-cftime
 Architecture: any
@@ -44,4 +43,3 @@
  conforming to the Climate and Forecasting (CF) netCDF conventions.
  .
  This package contains the cftime module for Python 3.
-

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cftime-$1.$2/ \
https://github.com/Unidata/cftime/releases \
(?:.*/)*(?:rel|v|r|cftime|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cftime 1.0.1

=== debian/changelog ===
cftime (1.0.1-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:51:13 +0000

cftime (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Aug 2018 07:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pytest,
                cython,
                cython3,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,3 @@
 override_dh_python3:
 	dh_python3 -ppython3-cftime
 	dh_numpy3 -ppython3-cftime
-

## cftime 1.0.2.1

=== debian/changelog ===
cftime (1.0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Oct 2018 19:06:44 +0200

cftime (1.0.2-2) unstable; urgency=medium

  * Add upstream patches to fix FTBFS on 32bit architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Oct 2018 16:05:26 +0200

cftime (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update copyright file to include GPL-3+ for calcalcs code.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Oct 2018 10:03:04 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pytest,
                cython,
                cython3,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/

## cftime 1.0.3

=== debian/changelog ===
cftime (1.0.3-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS on 32bit architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Dec 2018 18:19:52 +0100

cftime (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to not cythonize in the clean target.
  * Add build dependencies for coverage.
  * Don't include .coverage files in binary packages.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Dec 2018 10:48:57 +0100

## cftime 1.0.3.4

=== debian/changelog ===
cftime (1.0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied/included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Dec 2018 09:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,17 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all-dev (>= 2.6.6-3~),
+               python-coverage,
                python-setuptools,
                python-numpy,
                python-pytest,
+               python-pytest-cov,
                python3-all-dev,
+               python3-coverage,
                python3-setuptools,
                python3-numpy,
                python3-pytest,
+               python3-pytest-cov,
                cython,
                cython3,
 Standards-Version: 4.2.1

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild --parallel
 
+override_dh_install:
+	dh_install
+
+	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage
+
 override_dh_python2:
 	dh_python2 -ppython-cftime
 	dh_numpy -ppython-cftime

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cftime-$1.$2/ \
https://github.com/Unidata/cftime/releases \
(?:.*/archive/)*(?:rel|v|r|cftime|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cftime 1.0.4.2

=== debian/changelog ===
cftime (1.0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Oct 2019 06:28:13 +0200

cftime (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop unused override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2019 06:14:33 +0200

cftime (1.0.3.4-3) unstable; urgency=medium

  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Aug 2019 21:19:47 +0200

cftime (1.0.3.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update dh_install override to use --list-missing.
  * Add lintian overrides for file-references-package-build-path.
  * Update gbp.conf to use --source-only-changes by default.
  * Disable coverage support, pytest-cov not updated for pytest 4 yet.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 19:01:49 +0200

=== debian/control ===
Source: cftime
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python3-pytest,
               cython3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
Homepage: http://unidata.github.io/cftime/

Package: python3-cftime
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Time-handling functionality from netcdf4-python (Python 3)
 Python library for decoding time units and variable values in a netCDF file
 conforming to the Climate and Forecasting (CF) netCDF conventions.
 .
 This package contains the cftime module for Python 3.

## cftime 1.1.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all-dev,
+               python3-coverage,
                python3-setuptools,
                python3-numpy,
                python3-pytest,
+               python3-pytest-cov,
                cython3
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/

## cftime 1.1.0+ds

=== debian/changelog ===
cftime (1.1.0+ds-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:15 +0100

cftime (1.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Repack upstream tarball to exclude pre-built documentation.
  * Reinstate coverage support.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Feb 2020 06:57:51 +0100

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=cftime
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem=pybuild --parallel

override_dh_install:
	dh_install --list-missing

	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage

override_dh_python3:
	dh_python3 -ppython3-cftime
	dh_numpy3 -ppython3-cftime

## cftime 1.1.2+ds

=== debian/changelog ===
cftime (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Apr 2020 19:30:40 +0200

cftime (1.1.1.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Mar 2020 05:44:23 +0100

cftime (1.1.1.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Mar 2020 21:27:58 +0100

cftime (1.1.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Mar 2020 05:44:48 +0100

## cftime 1.1.3+ds

=== debian/changelog ===
cftime (1.1.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 May 2020 06:04:57 +0200

## cftime 1.2.0+ds

=== debian/changelog ===
cftime (1.2.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jul 2020 05:42:54 +0200

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cftime-$1.$2/,\
repacksuffix=+ds \
https://github.com/Unidata/cftime/releases \
(?:.*/archive/)*(?:rel|v|r|cftime|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cftime 1.2.1+ds

=== debian/changelog ===
cftime (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jul 2020 05:45:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                python3-all-dev,
                python3-coverage,

## cftime 1.3.0+ds

=== debian/changelog ===
cftime (1.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Dec 2020 05:56:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_TEST_PYTEST=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild --parallel
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install --list-missing

## cftime 1.3.1+ds

=== debian/changelog ===
cftime (1.3.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Jan 2021 19:54:26 +0100

## cftime 1.4.0rel2+ds

=== debian/changelog ===
cftime (1.4.0rel2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file for license change to MIT.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Feb 2021 05:48:54 +0100

## cftime 1.4.1%2Bds

=== debian/changelog ===
cftime (1.4.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2021 06:14:57 +0100

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\

## cftime 1.4.1+ds

=== debian/changelog ===
cftime (1.4.1+ds-1build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Oct 2021 00:18:58 +0200

## cftime 1.5.1.1+ds

=== debian/changelog ===
cftime (1.5.1.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to use tags instead of releases.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Jan 2022 05:56:12 +0100

cftime (1.5.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Sep 2021 06:26:30 +0200

cftime (1.5.0+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 09:53:22 +0200

cftime (1.5.0+ds-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Add patch to fix spelling errors.

  [Helmut Grohne]
  * Annotate test dependencies <!nocheck>.
    (closes: #982583)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 May 2021 06:27:21 +0200

## cftime 1.5.2+ds

=== debian/changelog ===
cftime (1.5.2+ds-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:34:42 +0000

cftime (1.5.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Jan 2022 18:36:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 
 	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cftime-$1.$2/,\
repacksuffix=+ds \
https://github.com/Unidata/cftime/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|r|cftime|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cftime 1.6.0+ds

=== debian/changelog ===
cftime (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Mar 2022 06:53:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all-dev,
-               python3-coverage,
+               python3-coverage <!nocheck>,
                python3-setuptools,
                python3-numpy,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                cython3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/

## cftime 1.6.1

=== debian/changelog ===
cftime (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Drop repacking, fixed upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2022 16:50:23 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                cython3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/

## cftime 1.6.2

=== debian/changelog ===
cftime (1.6.2-3) unstable; urgency=medium

  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 08:25:28 +0100

cftime (1.6.2-2) unstable; urgency=medium

  * Add patch to fix FTBFS on some architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Sep 2022 13:31:29 +0200

cftime (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Sep 2022 05:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-coverage <!nocheck>,
-               python3-setuptools,
                python3-numpy,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-setuptools,
                cython3
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/
+Rules-Requires-Root: no
 
 Package: python3-cftime
 Architecture: any

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cftime-$1.$2/ \
https://github.com/Unidata/cftime/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|r|cftime|)[\-\_]?(\d[\d\-\.\w]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cftime 1.6.3

=== debian/changelog ===
cftime (1.6.3-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:36:17 +0000

cftime (1.6.3-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:19:05 +0100

cftime (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean.
    (closes: #1043731)
  * Use execute_after instead of override in rules files.
  * Switch to dh-sequence-*.
  * Drop test_num2date_precision.patch, fixed upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Oct 2023 06:27:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-coverage <!nocheck>,
@@ -13,11 +15,12 @@
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                cython3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-cftime
 Architecture: any

## cftime 1.6.4

=== requirements.txt ===
numpy>1.13.3; python_version<'3.12.0.rc1'
numpy>=1.26.0b1; python_version>='3.12.0.rc1'

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = cftime
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
cftime (1.6.4-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:55:54 +0000

cftime (1.6.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Update watch file to not match post releases.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 18:31:53 +0100

cftime (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jun 2024 06:22:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=cftime
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	$(RM) debian/*/usr/lib/python*/dist-packages/.coverage

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)rel$/$1/g;s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|gamma|beta|alpha|b|a)[\-\.]?(\d*))$/$1~$3$4/;s/RC/rc/;s/\.cd$//,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cftime-$1.$2/ \
https://github.com/Unidata/cftime/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|r|cftime|)[\-\_]?(\d[\d\-\.\w]+(?<!post\drel))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cftime 1.6.5

=== debian/changelog ===
cftime (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Oct 2025 05:22:48 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                cython3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/cftime/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/cftime.git
 Homepage: http://unidata.github.io/cftime/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-cftime
